package com.chenyang.nse.bussiness.entity.orm.table.core.scheduler;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SCHEDULER_KM_LOG"
)
public class TCoreSchedulerKmLog extends TBaseEntity {
   private static final long serialVersionUID = -20776003796656763L;
   private String rulestype;
   private Date testTime;
   private String pollingRule;
   private String testResult;
   @Column(
      length = 3000
   )
   private String testDetail;

   public static long getSerialVersionUID() {
      return -20776003796656763L;
   }

   public String getRulestype() {
      return this.rulestype;
   }

   public void setRulestype(String rulestype) {
      this.rulestype = rulestype;
   }

   public Date getTestTime() {
      return this.testTime;
   }

   public void setTestTime(Date testTime) {
      this.testTime = testTime;
   }

   public String getPollingRule() {
      return this.pollingRule;
   }

   public void setPollingRule(String pollingRule) {
      this.pollingRule = pollingRule;
   }

   public String getTestResult() {
      return this.testResult;
   }

   public void setTestResult(String testResult) {
      this.testResult = testResult;
   }

   public String getTestDetail() {
      return this.testDetail;
   }

   public void setTestDetail(String testDetail) {
      this.testDetail = testDetail;
   }
}
